VTK: RTW::Model Class Reference

| VTK 9.0.1

Public Member Functions | Friends | List of all members
RTW::Model Class Reference

`#include <Model.h>`

Inheritance diagram for RTW::Model:
[legend]
Collaboration diagram for RTW::Model:
[legend]

## Public Member Functions
| Model ()
| ~Model ()
void | Commit () override
void | AddGeometry (Geometry *geometry)
Public Member Functions inherited from RTW::Object
| Object ()
virtual | ~Object ()
void | AddRef ()
void | Release ()
void | SetString (const std::string &id, const std::string &s)
const std::string | GetString (const std::vector< std::string > &ids, const std::string &defaultValue="", bool *found=nullptr) const
bool | GetString (const std::vector< std::string > &ids, std::string *result, const std::string &defaultValue=nullptr)
template<typename T = Object>
void | SetObject (const std::string &id, T *object)
template<typename T = Object>
T * | GetObject (const std::vector< std::string > &ids, T *defaultValue=nullptr, bool *found=nullptr) const
template<typename T = Object>
bool | GetObject (const std::vector< std::string > &ids, T **result, T *defaultValue=nullptr)
void | Set1i (const std::string &id, int32_t x)
int32_t | Get1i (const std::vector< std::string > &ids, int32_t defaultValue=0, bool *found=nullptr) const
bool | Get1i (const std::vector< std::string > &ids, int32_t *result, int32_t defaultValue=0)
void | Set1f (const std::string &id, float x)
float | Get1f (const std::vector< std::string > &ids, float defaultValue=0.0f, bool *found=nullptr) const
bool | Get1f (const std::vector< std::string > &ids, float *result, float defaultValue=0.0f)
void | Set2i (const std::string &id, int32_t x, int32_t y)
VisRTX::Vec2i | Get2i (const std::vector< std::string > &ids, const VisRTX::Vec2i &defaultValue=VisRTX::Vec2i(), bool *found=nullptr) const
bool | Get2i (const std::vector< std::string > &ids, VisRTX::Vec2i *result, const VisRTX::Vec2i &defaultValue=VisRTX::Vec2i())
void | Set2f (const std::string &id, float x, float y)
VisRTX::Vec2f | Get2f (const std::vector< std::string > &ids, const VisRTX::Vec2f &defaultValue=VisRTX::Vec2f(), bool *found=nullptr) const
bool | Get2f (const std::vector< std::string > &ids, VisRTX::Vec2f *result, const VisRTX::Vec2f &defaultValue=VisRTX::Vec2f())
void | Set3i (const std::string &id, int32_t x, int32_t y, int32_t z)
VisRTX::Vec3i | Get3i (const std::vector< std::string > &ids, const VisRTX::Vec3i &defaultValue=VisRTX::Vec3i(), bool *found=nullptr) const
bool | Get3i (const std::vector< std::string > &ids, VisRTX::Vec3i *result, const VisRTX::Vec3i &defaultValue=VisRTX::Vec3i())
void | Set3f (const std::string &id, float x, float y, float z)
VisRTX::Vec3f | Get3f (const std::vector< std::string > &ids, const VisRTX::Vec3f &defaultValue=VisRTX::Vec3f(), bool *found=nullptr) const
bool | Get3f (const std::vector< std::string > &ids, VisRTX::Vec3f *result, const VisRTX::Vec3f &defaultValue=VisRTX::Vec3f())
void | Set4f (const std::string &id, float x, float y, float z, float w)
VisRTX::Vec4f | Get4f (const std::vector< std::string > &ids, const VisRTX::Vec4f &defaultValue=VisRTX::Vec4f(), bool *found=nullptr) const
bool | Get4f (const std::vector< std::string > &ids, VisRTX::Vec4f *result, const VisRTX::Vec4f &defaultValue=VisRTX::Vec4f())
void | RemoveParam (const std::string &id)

## Friends
class | Renderer

## Additional Inherited Members
Protected Member Functions inherited from RTW::Object
void | PrintAllParameters () const
std::set< std::string > | GetAllParameters () const

## Detailed Description

Definition at line 12 of file Model.h.

## Constructor & Destructor Documentation

## ◆ Model()

RTW::Model::Model | ( |  | ) |
| inline

Definition at line 17 of file Model.h.

## ◆ ~Model()

RTW::Model::~Model | ( |  | ) |
| inline

Definition at line 23 of file Model.h.

## Member Function Documentation

## ◆ Commit()

void RTW::Model::Commit | ( |  | ) |
| inlineoverridevirtual

Implements RTW::Object.

Definition at line 32 of file Model.h.

## ◆ AddGeometry()

void RTW::Model::AddGeometry | ( | Geometry * | geometry | ) |
| inline

Definition at line 36 of file Model.h.

## Friends And Related Function Documentation

## ◆ Renderer

friend class Renderer
| friend

Definition at line 14 of file Model.h.

The documentation for this class was generated from the following file:

- Rendering/RayTracing/RTWrapper/VisRTX/Model.h